Bug 428536 - ghostscript using hpijs is unable to render a test page
ghostscript using hpijs is unable to render a test page
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2008-01-12 18:43 EST by cam
Modified: 2008-01-29 00:14 EST (History)
0 users

See Also:
Fixed In Version: 2.7.12-4.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-29 00:14:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hplip-alloc.patch (1.55 KB, patch)
2008-01-25 07:52 EST, Tim Waugh
no flags Details | Diff

  None (edit)
Description cam 2008-01-12 18:43:49 EST
Description of problem:

USB printer is detected and configured. system-config-printer is unable to print
test page.


Version-Release number of selected component (if applicable):
hpijs-2.7.7-7.fc8
ghostscript-8.61-5.fc8
system-config-printer-0.7.74.4-3.fc8
cups-1.3.4-4.fc8

How reproducible:
100%

Steps to Reproduce:
1. connect HP7760 printer
2. configure with system-config-printer
3. attempt to print test page from system-config-printer
  
Actual results:
page is printed with small dark band - abnormal

Expected results:
test page is printed

Additional info:

Not sure if it's ghostscript or hpijs at fault. Same ghostscript command works
without the -sDEVICE=ijs.

adding LogLevel debug to cupsd.conf, cups error_log shows:

D [12/Jan/2008:18:16:31 +0000] [Job 3] foomatic-gswrapper: gs '-sstdout=%stderr'
 '-dBATCH' '-dPARANOIDSAFER' '-dQUIET' '-dNOPAUSE' '-sDEVICE=ijs' '-sIjsServer=h
pijs' '-sDeviceManufacturer=HEWLETT-PACKARD' '-sDeviceModel=deskjet 5600' '-dDEV
ICEWIDTHPOINTS=595' '-dDEVICEHEIGHTPOINTS=842' '-dDuplex=false' '-r300' '-sIjsPa
rams=Quality:Quality=0,Quality:ColorMode=2,Quality:MediaType=0,Quality:PenSet=2,
PS:MediaPosition=7' '-dIjsUseOutputFD' '-sOutputFile=%stdout' '-'
W [12/Jan/2008:18:16:31 +0000] [Job 3] color pen has low ink
D [12/Jan/2008:18:16:31 +0000] Discarding unused printer-state-changed event...
D [12/Jan/2008:18:16:31 +0000] Discarding unused printer-state-changed event...
D [12/Jan/2008:18:16:32 +0000] Discarding unused job-progress event...
D [12/Jan/2008:18:16:32 +0000] Discarding unused printer-state-changed event...
D [12/Jan/2008:18:16:32 +0000] [Job 3] Error: /ioerror in --showpage--
D [12/Jan/2008:18:16:32 +0000] [Job 3] Operand stack:
D [12/Jan/2008:18:16:32 +0000] [Job 3] 1   true
D [12/Jan/2008:18:16:32 +0000] [Job 3] Execution stack:
D [12/Jan/2008:18:16:32 +0000] [Job 3] %interp_exit   .runexec2   --nostringval-
-   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --
nostringval--   --nostringval--   false   1   %stopped_push   1905   1   3   %op
array_pop   1904   1   3   %oparray_pop   1888   1   3   %oparray_pop   1771   1
   3   %oparray_pop   --nostringval--   %errorexec_pop   .runexec2   --nostringv
al--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--  
 1777   0   3   %oparray_pop   --nostringval--   --nostringval--
D [12/Jan/2008:18:16:32 +0000] [Job 3] Dictionary stack:
D [12/Jan/2008:18:16:32 +0000] [Job 3] --dict:1166/1684(ro)(G)--   --dict:1/20(G
)--   --dict:99/200(L)--
D [12/Jan/2008:18:16:32 +0000] [Job 3] Current allocation mode is local
D [12/Jan/2008:18:16:32 +0000] [Job 3] Last OS error: 32
D [12/Jan/2008:18:16:32 +0000] [Job 3] GPL Ghostscript 8.61: Unrecoverable
error, exit code 1

Similar command can be attempted from the command line:
zcat /usr/share/hplip/data/ps/testpage.ps.gz > /tmp/testpage.ps
gs -dNOPAUSE -dBATCH -dPARANOIDSAFER -dQUIET -sDEVICE=ijs -sIjsServer=hpijs
-sDeviceManufacturer=HEWLETT-PACKARD-sDeviceModel=deskjet\ 5600
-dDEVICEWIDTHPOINTS=595 -dDEVICEHEIGHTPOINTS=842 -dDuplex=false -r300
-sIjsParams=Quality:Quality=0,Quality:ColorMode=2,Quality:MediaType=0,Quality:PenSet=2,PS:MediaPosition=7
-dIjsUseOutputFD -sOutputFile=/tmp/xxx.dat /tmp/testpage.ps 
[...]
following will be used Quality=0, ColorMode=2, MediaType=0
unable to set paper size=17, err=4
Error: /undefinedresult in --show--
Operand stack:
   (Imageable Area)
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--  
--nostringval--   2   %stopped_push   --nostringval--   --nostringval--  
--nostringval--   false   1   %stopped_push   1905   1   3   %oparray_pop   1904
  1   3   %oparray_pop   1888   1   3   %oparray_pop   1771   1   3  
%oparray_pop   --nostringval--   %errorexec_pop   .runexec2   --nostringval--  
--nostringval--   --nostringval--   2   %stopped_push   --nostringval--
Dictionary stack:
   --dict:1155/1684(ro)(G)--   --dict:0/20(G)--   --dict:99/200(L)--
Current allocation mode is local
Current file position is 8343
GPL Ghostscript 8.61: Unrecoverable error, exit code 1

This hardware was last seen working with centos 4.5

I updated hpijs from updates-testing after seeing fixes mentioned in other bugs.
Comment 1 Tim Waugh 2008-01-15 08:20:02 EST
Looks like this is an hpijs bug.  With full debugging on:

D [15/Jan/2008:13:17:50 +0000] [Job 8] *** glibc detected *** hpijs: double free
or corruption (out): 0x08aab4c8 ***
D [15/Jan/2008:13:17:50 +0000] [Job 8] ======= Backtrace: =========
D [15/Jan/2008:13:17:50 +0000] [Job 8] /lib/libc.so.6[0xbe8ac1]
D [15/Jan/2008:13:17:50 +0000] [Job 8] /lib/libc.so.6(cfree+0x90)[0xbec0f0]
D [15/Jan/2008:13:17:50 +0000] [Job 8] hpijs[0x80765ee]
D [15/Jan/2008:13:17:50 +0000] [Job 8]
/lib/libc.so.6(__libc_start_main+0xe0)[0xb95390]
D [15/Jan/2008:13:17:50 +0000] [Job 8] hpijs(__gxx_personality_v0+0x119)[0x8049601]
D [15/Jan/2008:13:17:50 +0000] [Job 8] ======= Memory map: ========
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00110000-00111000 r-xp 00110000 00:00 0 
        [vdso]
D [15/Jan/2008:13:17:50 +0000] [Job 8] 0017a000-0019e000 r-xp 00000000 08:01
4221004    /usr/lib/libhpip.so.0.0.1
D [15/Jan/2008:13:17:50 +0000] [Job 8] 0019e000-0019f000 rwxp 00024000 08:01
4221004    /usr/lib/libhpip.so.0.0.1
D [15/Jan/2008:13:17:50 +0000] [Job 8] 0019f000-001a1000 rwxp 0019f000 00:00 0 
D [15/Jan/2008:13:17:50 +0000] [Job 8] 001a1000-001b5000 r-xp 00000000 08:01
4241459    /usr/lib/libhpmud.so.0.0.0
D [15/Jan/2008:13:17:50 +0000] [Job 8] 001b5000-001b6000 rwxp 00013000 08:01
4241459    /usr/lib/libhpmud.so.0.0.0
D [15/Jan/2008:13:17:50 +0000] [Job 8] 001b6000-00218000 rwxp 001b6000 00:00 0 
D [15/Jan/2008:13:17:50 +0000] [Job 8] 003bd000-003e2000 r-xp 00000000 08:01
4235301    /usr/lib/libk5crypto.so.3.1
D [15/Jan/2008:13:17:50 +0000] [Job 8] 003e2000-003e3000 rwxp 00025000 08:01
4235301    /usr/lib/libk5crypto.so.3.1
D [15/Jan/2008:13:17:50 +0000] [Job 8] 003e5000-00425000 r-xp 00000000 08:01
4240737    /usr/lib/libcups.so.2
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00425000-00427000 rwxp 0003f000 08:01
4240737    /usr/lib/libcups.so.2
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00429000-0047c000 r-xp 00000000 08:01
1927746    /lib/libgcrypt.so.11.2.3
D [15/Jan/2008:13:17:50 +0000] [Job 8] 0047c000-0047e000 rwxp 00053000 08:01
1927746    /lib/libgcrypt.so.11.2.3
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00480000-004f7000 r-xp 00000000 08:01
4227254    /usr/lib/libgnutls.so.13.3.0
D [15/Jan/2008:13:17:50 +0000] [Job 8] 004f7000-004fd000 rwxp 00076000 08:01
4227254    /usr/lib/libgnutls.so.13.3.0
D [15/Jan/2008:13:17:50 +0000] [Job 8] 004ff000-00518000 r-xp 00000000 08:01
1927748    /lib/libselinux.so.1
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00518000-0051a000 rwxp 00018000 08:01
1927748    /lib/libselinux.so.1
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00525000-0053a000 r-xp 00000000 08:01
1927744    /lib/libnsl-2.7.so
D [15/Jan/2008:13:17:50 +0000] [Job 8] 0053a000-0053b000 r-xp 00014000 08:01
1927744    /lib/libnsl-2.7.so
D [15/Jan/2008:13:17:50 +0000] [Job 8] 0053b000-0053c000 rwxp 00015000 08:01
1927744    /lib/libnsl-2.7.so
D [15/Jan/2008:13:17:50 +0000] [Job 8] 0053c000-0053e000 rwxp 0053c000 00:00 0 
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00540000-0056d000 r-xp 00000000 08:01
4240736    /usr/lib/libgssapi_krb5.so.2.2
D [15/Jan/2008:13:17:50 +0000] [Job 8] 0056d000-0056e000 rwxp 0002d000 08:01
4240736    /usr/lib/libgssapi_krb5.so.2.2
D [15/Jan/2008:13:17:50 +0000] [Job 8] 0057c000-0060c000 r-xp 00000000 08:01
4240735    /usr/lib/libkrb5.so.3.3
D [15/Jan/2008:13:17:50 +0000] [Job 8] 0060c000-0060f000 rwxp 0008f000 08:01
4240735    /usr/lib/libkrb5.so.3.3
D [15/Jan/2008:13:17:50 +0000] [Job 8] 0061c000-00624000 r-xp 00000000 08:01
4227989    /usr/lib/libkrb5support.so.0.1
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00624000-00625000 rwxp 00007000 08:01
4227989    /usr/lib/libkrb5support.so.0.1
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00a4f000-00a59000 r-xp 00000000 08:01
4235232    /usr/lib/libieee1284.so.3.2.2
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00a59000-00a5a000 rwxp 00009000 08:01
4235232    /usr/lib/libieee1284.so.3.2.2
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00a5c000-00a62000 r-xp 00000000 08:01
4221752    /usr/lib/libsane.so.1.0.18
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00a62000-00a63000 rwxp 00005000 08:01
4221752    /usr/lib/libsane.so.1.0.18
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00ab7000-00ac7000 r-xp 00000000 08:01
1931634    /lib/libresolv-2.7.so
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00ac7000-00ac8000 r-xp 00010000 08:01
1931634    /lib/libresolv-2.7.so
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00ac8000-00ac9000 rwxp 00011000 08:01
1931634    /lib/libresolv-2.7.so
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00ac9000-00acb000 rwxp 00ac9000 00:00 0 
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00acd000-00aee000 r-xp 00000000 08:01
4227649    /usr/lib/libjpeg.so.62.0.0
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00aee000-00aef000 rwxp 00020000 08:01
4227649    /usr/lib/libjpeg.so.62.0.0
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00af1000-00af3000 r-xp 00000000 08:01
1931636    /lib/libcom_err.so.2.1
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00af3000-00af4000 rwxp 00001000 08:01
1931636    /lib/libcom_err.so.2.1
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00b5b000-00b5d000 r-xp 00000000 08:01
1931633    /lib/libkeyutils-1.2.so
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00b5d000-00b5e000 rwxp 00001000 08:01
1931633    /lib/libkeyutils-1.2.so
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00b60000-00b7b000 r-xp 00000000 08:01
1927782    /lib/ld-2.7.so
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00b7b000-00b7c000 r-xp 0001a000 08:01
1927782    /lib/ld-2.7.so
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00b7c000-00b7d000 rwxp 0001b000 08:01
1927782    /lib/ld-2.7.so
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00b7f000-00cd2000 r-xp 00000000 08:01
1927784    /lib/libc-2.7.so
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00cd2000-00cd4000 r-xp 00153000 08:01
1927784    /lib/libc-2.7.so
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00cd4000-00cd5000 rwxp 00155000 08:01
1927784    /lib/libc-2.7.so
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00cd5000-00cd8000 rwxp 00cd5000 00:00 0 
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00cda000-00d01000 r-xp 00000000 08:01
1927813    /lib/libm-2.7.so
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00d01000-00d02000 r-xp 00026000 08:01
1927813    /lib/libm-2.7.so
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00d02000-00d03000 rwxp 00027000 08:01
1927813    /lib/libm-2.7.so
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00d05000-00d08000 r-xp 00000000 08:01
1927786    /lib/libdl-2.7.so
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00d08000-00d09000 r-xp 00002000 08:01
1927786    /lib/libdl-2.7.so
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00d09000-00d0a000 rwxp 00003000 08:01
1927786    /lib/libdl-2.7.so
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00d0c000-00d21000 r-xp 00000000 08:01
1927788    /lib/libpthread-2.7.so
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00d21000-00d22000 r-xp 00014000 08:01
1927788    /lib/libpthread-2.7.so
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00d22000-00d23000 rwxp 00015000 08:01
1927788    /lib/libpthread-2.7.so
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00d23000-00d25000 rwxp 00d23000 00:00 0 
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00d27000-00d39000 r-xp 00000000 08:01
1927812    /lib/libz.so.1.2.3
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00d39000-00d3a000 rwxp 00011000 08:01
1927812    /lib/libz.so.1.2.3
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00d3c000-00dd8000 r-xp 00000000 08:01
4238717    /usr/lib/libnetsnmp.so.15.1.0
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00dd8000-00dda000 rwxp 0009c000 08:01
4238717    /usr/lib/libnetsnmp.so.15.1.0
D [15/Jan/2008:13:17:50 +0000] [Job 8] 00dda000-00df9000 rwxp 00dda000 00:00 0 
D [15/Jan/2008:13:17:50 +0000] [Job 8] 02f17000-03034000 r-xp 00000000 08:01
1931637    /lib/libcrypto.so.0.9.8b
D [15/Jan/2008:13:17:50 +0000] [Job 8] 03034000-03046000 rwxp 0011d000 08:01
1931637    /lib/libcrypto.so.0.9.8b
D [15/Jan/2008:13:17:50 +0000] [Job 8] 03046000-0304a000 rwxp 03046000 00:00 0 
D [15/Jan/2008:13:17:50 +0000] [Job 8] 03092000-03095000 r-xp 00000000 08:01
1931646    /lib/libgpg-error.so.0.3.1
D [15/Jan/2008:13:17:50 +0000] [Job 8] 03095000-03096000 rwxp 00002000 08:01
1931646    /lib/libgpg-error.so.0.3.1
D [15/Jan/2008:13:17:50 +0000] [Job 8] 03727000-0372d000 r-xp 00000000 08:01
4227661    /usr/lib/libusb-0.1.so.4.4.4
D [15/Jan/2008:13:17:50 +0000] [Job 8] 0372d000-0372f000 rwxp 00006000 08:01
4227661    /usr/lib/libusb-0.1.so.4.4.4
D [15/Jan/2008:13:17:50 +0000] [Job 8] 0373a000-03790000 r-xp 00000000 08:01
4227553    /usr/lib/libtiff.so.3.8.2
D [15/Jan/2008:13:17:50 +0000] [Job 8] 03790000-03792000 rwxp 00056000 08:01
4227553    /usr/lib/libtiff.so.3.8.2
D [15/Jan/2008:13:17:50 +0000] [Job 8] 03794000-037b7000 r-xp 00000000 08:01
4222269    /usr/lib/libexif.so.12.2.0
D [15/Jan/2008:13:17:50 +0000] [Job 8] 037b7000-037c0000 rwxp 00022000 08:01
4222269    /usr/lib/libexif.so.12.2.0
D [15/Jan/2008:13:17:50 +0000] [Job 8] 037c2000-037c9000 r-xp 00000000 08:01
4238566    /usr/lib/libgphoto2_port.so.0.8.0
D [15/Jan/2008:13:17:50 +0000] [Job 8] 037c9000-037ca000 rwxp 00007000 08:01
4238566    /usr/lib/libgphoto2_port.so.0.8.0
D [15/Jan/2008:13:17:50 +0000] [Job 8] 03825000-0382b000 r-xp 00000000 08:01
4221622    /usr/lib/libltdl.so.3.1.5
D [15/Jan/2008:13:17:50 +0000] [Job 8] 0382b000-0382c000 rwxp 00005000 08:01
4221622    /usr/lib/libltdl.so.3.1.5
D [15/Jan/2008:13:17:50 +0000] [Job 8] 038f7000-03912000 r-xp 00000000 08:01
4238828    /usr/lib/libgphoto2.so.2.3.0
D [15/Jan/2008:13:17:50 +0000] [Job 8] 03912000-03913000 rwxp 0001b000 08:01
4238828    /usr/lib/libgphoto2.so.2.3.0
D [15/Jan/2008:13:17:50 +0000] [Job 8] 03913000-03973000 rwxp 03913000 00:00 0 
D [15/Jan/2008:13:17:50 +0000] [Job 8] 03ada000-03ae5000 r-xp 00000000 08:01
1931643    /lib/libgcc_s-4.1.2-20070925.so.1
D [15/Jan/2008:13:17:50 +0000] [Job 8] 03ae5000-03ae6000 rwxp 0000a000 08:01
1931643    /lib/libgcc_s-4.1.2-20070925.so.1
D [15/Jan/2008:13:17:50 +0000] [Job 8] 03ae8000-03bc8000 r-xp 00000000 08:01
4227658    /usr/lib/libstdc++.so.6.0.8
D [15/Jan/2008:13:17:50 +0000] [Job 8] 03bc8000-03bcc000 r-xp 000df000 08:01
4227658    /usr/lib/libstdc++.so.6.0.8
D [15/Jan/2008:13:17:50 +0000] [Job 8] 03bcc000-03bcd000 rwxp 000e3000 08:01
4227658    /usr/lib/libstdc++.so.6.0.8
D [15/Jan/2008:13:17:50 +0000] [Job 8] 03bcd000-03bd3000 rwxp 03bcd000 00:00 0 
D [15/Jan/2008:13:17:50 +0000] [Job 8] 03bd5000-03bde000 r-xp 00000000 08:01
1931642    /lib/libcrypt-2.7.so
D [15/Jan/2008:13:17:50 +0000] [Job 8] 03bde000-03bdf000 r-xp 00008000 08:01
1931642    /lib/libcrypt-2.7.so
D [15/Jan/2008:13:17:50 +0000] [Job 8] 03bdf000-03be0000 rwxp 00009000 08:01
1931642    /lib/libcrypt-2.7.so
D [15/Jan/2008:13:17:50 +0000] [Job 8] 03be0000-03c07000 rwxp 03be0000 00:00 0 
D [15/Jan/2008:13:17:50 +0000] [Job 8] 08045000-08092000 r-xp 00000000 08:01
4221006    /usr/bin/hpijs
D [15/Jan/2008:13:17:50 +0000] [Job 8] 08092000-080b5000 rw-p 0004d000 08:01
4221006    /usr/bin/hpijs
D [15/Jan/2008:13:17:50 +0000] [Job 8] 080b5000-080b6000 rw-p 080b5000 00:00 0 
D [15/Jan/2008:13:17:50 +0000] [Job 8] 08a8c000-08ace000 rw-p 08a8c000 00:00 0 
D [15/Jan/2008:13:17:50 +0000] [Job 8] b7e00000-b7e21000 rw-p b7e00000 00:00 0 
D [15/Jan/2008:13:17:50 +0000] [Job 8] b7e21000-b7f00000 ---p b7e21000 00:00 0 
D [15/Jan/2008:13:17:50 +0000] [Job 8] b7fd7000-b7fe0000 rw-p b7fd7000 00:00 0 
D [15/Jan/2008:13:17:50 +0000] [Job 8] bf8ca000-bf8df000 rw-p bffea000 00:00 0 
        [stack]
D [15/Jan/2008:13:17:50 +0000] [Job 8] Error: /ioerror in --showpage--
D [15/Jan/2008:13:17:50 +0000] [Job 8] Operand stack:
D [15/Jan/2008:13:17:50 +0000] [Job 8] 1   true
D [15/Jan/2008:13:17:50 +0000] [Job 8] Execution stack:
D [15/Jan/2008:13:17:50 +0000] [Job 8] %interp_exit   .runexec2  
--nostringval--   --nostringval--   --nostringval--   2   %stopped_push  
--nostringval--   --nostringval--   --nostringval--   false   1   %stopped_push
  1905   1   3   %oparray_pop   1904   1   3   %oparray_pop   1888   1   3  
%oparray_pop   1771   1   3   %oparray_pop   --nostringval--   %errorexec_pop  
.runexec2   --nostringval--   --nostringval--   --nostringval--   2  
%stopped_push   --nostringval--   1777   0   3   %oparray_pop   --nostringval--
  --nostringval--
D [15/Jan/2008:13:17:50 +0000] [Job 8] Dictionary stack:
D [15/Jan/2008:13:17:50 +0000] [Job 8] --dict:1166/1684(ro)(G)--  
--dict:1/20(G)--   --dict:99/200(L)--
D [15/Jan/2008:13:17:50 +0000] [Job 8] Current allocation mode is local
D [15/Jan/2008:13:17:50 +0000] [Job 8] GPL Ghostscript 8.61: Unrecoverable
error, exit code 1
D [15/Jan/2008:13:17:50 +0000] [Job 8] renderer return value: 1
D [15/Jan/2008:13:17:50 +0000] [Job 8] renderer received signal: 1
Comment 2 Tim Waugh 2008-01-25 07:52:52 EST
Created attachment 292938 [details]
hplip-alloc.patch

Seems to be a memory allocation problem, from checking with valgrind.  I've
increased the amount of memory used for the compression buffer and that seems
to have worked around the bug.	It's reported upstream.
Comment 3 Fedora Update System 2008-01-27 02:11:18 EST
hplip-2.7.12-4.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/F8/FEDORA-2008-0820
Comment 4 Tim Waugh 2008-01-27 12:58:00 EST
Fix confirmed here.
Comment 5 Fedora Update System 2008-01-29 00:14:06 EST
hplip-2.7.12-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.